# What is this for?

def output_help(out)
	out.puts "ruby combine_runs.rb <file name prefix with dir>"
	out.puts "Example:\n"
	out.puts "ruby ../scripts/combine_runs.rb qwh_med_inst/focused-algosaps-runobjrunlength-overallobjq90-runs100-maxEval20000-init1-time1.0-length2147483647"
	out.puts "ruby ../scripts/combine_runs.rb SW-saps-100s-to200s-scrambled-first231/focused-algosaps-runobjruntime-overallobjmedian-runs100-maxEval20000-init1-time1000000000.0-length2000000"
	out.puts "ruby ../scripts/combine_runs.rb gridGH25GW25K2-pseudo-opt-scrambled-first50/focused-algogls4mpe-runobjprob-overallobjmean-runs100-maxEval20000-init1-time10.0-length2147483647"
end

if ARGV.length < 1
	output_help($stdout)
	exit
end

# =========================================
# Read in command line options.
# =========================================
wholeprefix = ARGV[0]
dir, prefix = File.split(wholeprefix)
#modprefix = prefix.sub(/-algo/,"-traj-algo")
modprefix = prefix
prefix = prefix.sub(/-traj-algo/,"-algo")

trainresults = []

resname = wholeprefix.gsub(/\//,"__").sub(/_$/, "-res.txt")
trajname = wholeprefix.gsub(/\//,"__").sub(/_$/, "-traj.txt")

res_file = File.open(resname, "w") 
traj_file = File.open(trajname, "w") 

Dir.entries(dir).sort.map{|entry|
	if entry =~ /^#{modprefix}/ and File.size?(dir + "/" + entry)
		File.open(dir + "/" + entry){|file|
			line=file.gets
			traj_file.puts line
			res_file.puts line

			while line=file.gets
				traj_file.puts line
				savedline = line
			end
			res_file.puts savedline
		}
	end
}
traj_file.flush
traj_file.close

res_file.flush
res_file.close

puts "Output files:\n #{resname}\n #{trajname}"
